Name:           libart_lgpl
Version:        2.3.21
Release:        23
Summary:        A library for high-performance 2D graphics

License:        LGPLv2+
URL:            https://www.levien.com/libart/
Source0:        https://download.gnome.org/sources/%{name}/2.3/%{name}-%{version}.tar.bz2

BuildRequires:  gcc libtool pkgconfig automake autoconf

%description
Libart is a library for high-performance 2D graphics. It is currently
being used as the antialiased rendering engine for the Gnome Canvas.
It is also the rendering engine for Gill, the Gnome Illustration app.

%package        devel
Summary:        Files for %{name} development
Requires:       %{name} = %{version}-%{release}

%description    devel
files for %{name} development.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
libtoolize
autoreconf -i
%configure
%make_build

%install
%make_install
%delete_la

%check
make check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/libart2-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a

%files help 
%defattr(-,root,root)
%doc README NEWS

%changelog
* Thu Jan 9 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.3.21-23
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: optimization the spec

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.3.21-22
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:openEuler Debranding

* Mon Sep 2 2019 openEuler Buildteam <buildteam@openeuler.org> -2.3.21-21
- Package init
